Class | ActiveRecord::ConnectionAdapters::DB2Adapter
In: | lib/active_record/connection_adapters/db2_adapter.rb
Parent: | AbstractAdapter

The DB2 adapter works with the C-based CLI driver (rubyforge.org/projects/ruby-dbi/)

Options:

- `:username` — Defaults to nothing
- `:password` — Defaults to nothing
- `:database` — The name of the database. No default, must be provided.
- `:schema` — Database schema to be set initially.

### Methods

active? adapter_name add_limit_offset! begin_db_transaction columns commit_db_transaction execute indexes insert native_database_types new quote_column_name quote_string quoted_false quoted_true reconnect! rollback_db_transaction table_alias_length tables

### Public Class methods

new(connection, logger, connection_options)

### Public Instance methods

active?()
adapter_name()
add_limit_offset!(sql, options)
begin_db_transaction()
columns(table_name, name = nil)
commit_db_transaction()
execute(sql, name = nil)
indexes(table_name, name = nil)
insert(sql, name = nil, pk = nil, id_value = nil, sequence_name = nil)
native_database_types()
quote_column_name(column_name)
quote_string(string)
quoted_false()
quoted_true()
reconnect!()
rollback_db_transaction()
table_alias_length()
tables(name = nil)

[Validate]